com.independentsoft.exchange

## Class EmailAddress

- java.lang.Object
- - com.independentsoft.exchange.EmailAddress

-     public class EmailAddress
      extends java.lang.Object

  Represents a single e-mail address for a contact.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EmailAddress()` Initializes a new instance of the EmailAddress class.
    `EmailAddress(java.lang.String address)` Initializes a new instance of the EmailAddress class.
    `EmailAddress(java.lang.String address, java.lang.String name)` Initializes a new instance of the EmailAddress class.
    `EmailAddress(java.lang.String address, java.lang.String name, java.lang.String routingType)` Initializes a new instance of the EmailAddress class.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAddress()` Gets the e-mail address.
    `java.lang.String` | `getName()` Gets the name of the mailbox user.
    `java.lang.String` | `getRoutingType()` Gets the routing that is used for the mailbox.
    `void` | `setAddress(java.lang.String address)` Sets the e-mail address.
    `void` | `setName(java.lang.String name)` Sets the name of the mailbox user.
    `void` | `setRoutingType(java.lang.String routingType)` Sets the routing that is used for the mailbox.
    `java.lang.String` | `toString()` Converts the value of the current EmailAddress object to its equivalent string representation.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### EmailAddress

          public EmailAddress()

      Initializes a new instance of the EmailAddress class.

    - #### EmailAddress

          public EmailAddress(java.lang.String address)

      Initializes a new instance of the EmailAddress class.
      Parameters:
        `address` - the address

    - #### EmailAddress

          public EmailAddress(java.lang.String address,
                              java.lang.String name)

      Initializes a new instance of the EmailAddress class.
      Parameters:
        `address` - the address
        `name` - the name

    - #### EmailAddress

          public EmailAddress(java.lang.String address,
                              java.lang.String name,
                              java.lang.String routingType)

      Initializes a new instance of the EmailAddress class.
      Parameters:
        `address` - the address
        `name` - the name
        `routingType` - the routing type

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Converts the value of the current EmailAddress object to its equivalent string representation.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        the string

    - #### getName

          public java.lang.String getName()

      Gets the name of the mailbox user.
      Returns:
        the name

    - #### setName

          public void setName(java.lang.String name)

      Sets the name of the mailbox user.
      Parameters:
        `name` - the new name

    - #### getAddress

          public java.lang.String getAddress()

      Gets the e-mail address.
      Returns:
        the address

    - #### setAddress

          public void setAddress(java.lang.String address)

      Sets the e-mail address.
      Parameters:
        `address` - the new address

    - #### getRoutingType

          public java.lang.String getRoutingType()

      Gets the routing that is used for the mailbox.
      Returns:
        the routing type

    - #### setRoutingType

          public void setRoutingType(java.lang.String routingType)

      Sets the routing that is used for the mailbox.
      Parameters:
        `routingType` - the new routing type